> This is a page from the ElevenLabs documentation. For a complete page index, fetch https://elevenlabs.io/docs/llms.txt. For the full documentation in a single file, fetch https://elevenlabs.io/docs/llms-full.txt.

# Cancelar compartilhamento de recurso do workspace

POST https://api.elevenlabs.io/v1/workspace/resources/{resource_id}/unshare
Content-Type: application/json

Remove qualquer função existente em um recurso do espaço de trabalho de um usuário, grupo ou chave de API do espaço de trabalho (conta de serviço). Para selecionar um usuário ou conta de serviço, informe apenas o e-mail do usuário; ele deve estar no seu espaço de trabalho. Para selecionar um grupo, informe apenas o ID do grupo. Para selecionar uma chave de API do espaço de trabalho (conta de serviço), informe o ID da chave de API; o recurso deixará de ser compartilhado com a conta de serviço associada a essa chave. Você deve ter acesso de administrador ao recurso para deixar de compartilhá-lo. Não é possível remover permissões do usuário que criou o recurso.

Reference: https://elevenlabs.io/docs/api-reference/workspace/resources/unshare

## Servers

- `https://api.elevenlabs.io` (Production, default)
- `https://api.us.elevenlabs.io` (Production US)
- `https://api.eu.residency.elevenlabs.io` (Production EU)
- `https://api.in.residency.elevenlabs.io` (Production India)
- `https://api.sg.residency.elevenlabs.io` (Production Singapore)

## Request

### Path parameters

- `resource_id` (string, required) — O ID do recurso de destino.

### Body (application/json)

This endpoint expects a Body_Unshare_workspace_resource_v1_workspace_resources__resource_id__unshare_post.

- `resource_type` (enum, required) — Tipo de recurso do recurso de destino.
  - Allowed values: `voice`, `voice_collection`, `pronunciation_dictionary`, `dubbing`, `dubbing_project`, `project`, `convai_agents`, `convai_knowledge_base_documents`, `convai_tools`, `convai_settings`, `convai_secrets`, `workspace_auth_connections`, `convai_phone_numbers`, `convai_mcp_servers`, `convai_api_integration_connections`, `convai_api_integration_trigger_connections`, `convai_batch_calls`, `convai_agent_response_tests`, `convai_test_suite_invocations`, `convai_crawl_jobs`, `convai_crawl_tasks`, `convai_kb_external_sync_jobs`, `convai_whatsapp_accounts`, `convai_agent_versions`, `convai_agent_branches`, `convai_agent_versions_deployments`, `convai_agent_experiments`, `convai_memory_entries`, `convai_templates`, `dashboard`, `dashboard_configuration`, `convai_agent_drafts`, `resource_locators`, `assets`, `content_generations`, `content_templates`, `content_skills`, `songs`, `transcription_tasks`, `avatars`, `avatar_video_generations`, `resource_collection`, `studio_projects`, `convai_analysis_items`
- `user_email` (string, optional, nullable) — O e-mail do usuário ou da conta de serviço.
- `group_id` (string, optional, nullable) — O ID do grupo de destino. Use 'default' para definir a função básica do recurso — todo membro do espaço de trabalho recebe essa função, a menos que tenha uma função superior por meio de uma concessão direta de usuário, associação a grupo ou chave de API do espaço de trabalho (conta de serviço).
- `workspace_api_key_id` (string, optional, nullable) — O ID da chave de API do espaço de trabalho de destino (conta de serviço). Não é a própria string da chave de API que você envia no cabeçalho para autenticação — é o ID da chave, que administradores do espaço de trabalho podem encontrar em Desenvolvedores → Contas de serviço.

## Response

### 200

Resposta bem-sucedida

- `any`

## Errors

### 422 Unprocessable Entity Error

Erro de validação

- `detail` (list of ValidationError, optional)

## Types

### ValidationError

- `loc` (list of ValidationErrorLocItems, required)
- `msg` (string, required)
- `type` (string, required)

### ValidationErrorLocItems

## Examples

**Request**

```json
{
  "resource_type": "voice"
}
```

**SDK Code**

```python
import requests

url = "https://api.elevenlabs.io/v1/workspace/resources/resource_id/unshare"

payload = { "resource_type": "voice" }
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.elevenlabs.io/v1/workspace/resources/resource_id/unshare';
const options = {
  method: 'POST',
  headers: {'Content-Type': 'application/json'},
  body: '{"resource_type":"voice"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.elevenlabs.io/v1/workspace/resources/resource_id/unshare"

	payload := strings.NewReader("{\n  \"resource_type\": \"voice\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.elevenlabs.io/v1/workspace/resources/resource_id/unshare")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n  \"resource_type\": \"voice\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.elevenlabs.io/v1/workspace/resources/resource_id/unshare")
  .header("Content-Type", "application/json")
  .body("{\n  \"resource_type\": \"voice\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.elevenlabs.io/v1/workspace/resources/resource_id/unshare', [
  'body' => '{
  "resource_type": "voice"
}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.elevenlabs.io/v1/workspace/resources/resource_id/unshare");
var request = new RestRequest(Method.POST);
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"resource_type\": \"voice\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Content-Type": "application/json"]
let parameters = ["resource_type": "voice"] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.elevenlabs.io/v1/workspace/resources/resource_id/unshare")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```